Subject: Re: [PATCHv2] push: change submodule default to check

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Aug 2016 14:26:43 -0700

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>> For instance, try this from a checkout of linux.git:
>>
>>   for i in no check; do
>> 	rm -rf dst.git
>> 	git init --bare dst.git
>> 	echo "==> Pushing with submodules=$i"
>> 	time git push --recurse-submodules=$i dst.git HEAD
>>   done
>>
>> The second case takes 30-40 seconds longer. This is a full push of
>> history, so it's an extreme case[1], but it's still rather unfortunate.

This actually bit me just now.  github.com/gitster/git.git is
mirror pushed, and it would seem to take forever, so I killed it,
and flipped the configuration variable off.  Which means the feature
won't ever get any testing from me in real life.

People, git.git is not a large project in any sense of the word.

Why wasn't it discovered that "push.recursesubmodules = check" is
UNUSABLE since it was introduced is simply beyond me.

I am mad (which is unusual for me, isn't it? -- I've seen somebody
else saying "I am mad", but I do not think I ever said it here).